Sync hdf5 1.8.3-2.1 (universe) from Debian testing (main)

Bug #489882 reported by Charlie_Smotherman on 2009-11-29
32
This bug affects 2 people
Affects Status Importance Assigned to Milestone
hdf5 (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync hdf5 1.8.3-2.1 (universe) from Debian testing (main)

Explanation of the Ubuntu delta and why it can be dropped:
The perform/zip_perf.c: add open mode flags for O_CREAT (required for
    -D_FORTIFY_SOURCE=2), change has been included upstream

Changelog entries since current lucid version 1.6.6-4ubuntu2:

hdf5 (1.8.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * kfreebsd-* doesn't need libibverbs-dev, allowing packages to build. Closes: #540875

 -- Andreas Barth <email address hidden> Wed, 19 Aug 2009 11:07:40 +0200

hdf5 (1.8.3-2) unstable; urgency=low

  * Uploaded to unstable.
    (closes: #519575, #501564, #470159)
  * Fixed shlibs.in to avoid wrong interdependencies.
    (closes: #537413)
  * Added libjpeg-dev as an alternative build-dep and replaced
    into the -dev package list of deps.
  * [PATCH] mpi.diff added to remove mpio.h including, which
    is supefluous for LAM, MPICH and OpenMPI AFAIK.
    (closes: #515579)

 -- Francesco Paolo Lovergine <email address hidden> Thu, 06 Aug 2009 16:40:50 +0200

hdf5 (1.8.3-1) experimental; urgency=low

  * New upstream release.
  * Added a patch debian/patches/autotools to update autotools and remove
    limitation in using thread-safety along with C++/Fortran bindings.
    Note that now there's a single configure.in in the base directory.
  * Added a note about thread-safety for non-C bindings in README.Debian.
  * Policy bumped to 3.8.2. No changes.
  * Secondary ABI interface number -0 dropped.
  * Changed Section in doc-base description document for hdf5-doc.
  * Debhelper level set to 7.
  * This version has been built with 1.6 interface as default. See NEWS for
    more information.
  * Added a (temporary) OMPI_MCA_disable_memory_allocator=1 definition
    to allow building under fakeroot for openmpi (see #531522). To be
    removed when better fixed by OpenMPI maintainer and upstreams.

 -- Francesco Paolo Lovergine <email address hidden> Mon, 22 Jun 2009 09:39:25 +0200

hdf5 (1.6.7-1) unreleased; urgency=low

  * New upstream release. This is a bug fix release, but for removing of the
    virtual stream I/O library, which is now stripped out of the main library.
    I know Cactus uses that I/O driver, but it is not packaged.
  * Manually run "autoupdate; libtoolize --force --copy; aclocal; autoheader;
    autoconf" in the base directory, and "autoupdate; libtoolize --force
    --copy; aclocal; autoconf" in the c++/ directory.
  * [LINTIAN] Changed a bit versions used in build-dep to avoid possible breakages.
  * Homepage field updated in debian/control.in.
    (closes: #501564)
  * Updated and normalized debian/copyright.
  * Now enabled Fortran (openmpi and mpich only) and C++ (serial only) binding.
    (closes: #470159)
  * Dropped -0 suffix in all run-time libraries packages.
  * Changed SONAMEs and solib names as consequence. Dependencies will require
    rebuilding in order to use the new libraries. Now SONAMEs uses an
    ordinary serialization which depends on the upstream versions.
    Incidentally the new SONAMEs and library names do not conflict with
    the old ones.
  * Now using quilt to manage patches.

 -- Francesco Paolo Lovergine <email address hidden> Thu, 09 Oct 2008 15:44:25 +0200

Changed in hdf5 (Ubuntu):
importance: Undecided → Wishlist
Changed in hdf5 (Ubuntu):
status: New → In Progress
assignee: nobody → Fabrice Coutadeur (fabricesp)
Fabrice Coutadeur (fabricesp) wrote :

Sync request ack'd

Changed in hdf5 (Ubuntu):
assignee: Fabrice Coutadeur (fabricesp) → nobody
status: In Progress → Triaged
Jamie Strandboge (jdstrand) wrote :

[Updating] hdf5 (1.6.6-4ubuntu2 [Ubuntu] < 1.8.3-2.1 [Debian])
 * Trying to add hdf5...
  - <hdf5_1.8.3-2.1.diff.gz: downloading from http://ftp.debian.org/debian/>
  - <hdf5_1.8.3-2.1.dsc: downloading from http://ftp.debian.org/debian/>
  - <hdf5_1.8.3.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
I: hdf5 [universe] -> libhdf5-serial-dev_1.6.6-4ubuntu2 [universe].
I: hdf5 [universe] -> libhdf5-lam-dev_1.6.6-4ubuntu2 [universe].
I: hdf5 [universe] -> libhdf5-openmpi-dev_1.6.6-4ubuntu2 [universe].
I: hdf5 [universe] -> libhdf5-mpich-dev_1.6.6-4ubuntu2 [universe].
I: hdf5 [universe] -> libhdf5-doc_1.6.6-4ubuntu2 [universe].
I: hdf5 [universe] -> hdf5-tools_1.6.6-4ubuntu2 [universe].

Changed in hdf5 (Ubuntu):
status: Triaged → Fix Released

Thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers